Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class DistinctResultList<E>

    java.lang.Object
      org.apache.openjpa.kernel.DistinctResultList<E>

Type Parameters:
  `E` - element type

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, List<E>

    public class DistinctResultList<E>

extends Object
implements List<E>, Serializable

An immutable list that imposes uniqueness on its member. This implementation traverses the entire result list on construction. So it is not suitable or efficient for large results. All mutation operations (except clear()) throw `UnsupportedOperationException`.

Since:
  2.0.0
Author:
  Pinaki Poddar
See Also:
  Serialized Form

Constructor Summary
`DistinctResultList(ResultList<E> list, RuntimeExceptionTranslator trans)`

Method Summary
`boolean` | `add(E o)`
`void` | `add(int index, E element)`
`boolean` | `addAll(Collection<? extends E> c)`
`boolean` | `addAll(int index, Collection<? extends E> c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`E` | `get(int index)`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`Iterator<E>` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator<E>` | `listIterator()`
`ListIterator<E>` | `listIterator(int index)`
`E` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`E` | `set(int index, E element)`
`int` | `size()`
`List<E>` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`
`<T> T[]`
` | `toArray(T[] a)`
`protected RuntimeException` | `translate(RuntimeException re)`
`Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### DistinctResultList

    public DistinctResultList(ResultList<E> list,
                              RuntimeExceptionTranslator trans)

Method Detail

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `List<E>`

### add

    public void add(int index,
                    E element)

  Specified by:
    `add` in interface `List<E>`

### addAll

    public boolean addAll(Collection<? extends E> c)

  Specified by:
    `addAll` in interface `Collection<E>`
  Specified by:
    `addAll` in interface `List<E>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends E> c)

  Specified by:
    `addAll` in interface `List<E>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<E>`
  Specified by:
    `clear` in interface `List<E>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<E>`
  Specified by:
    `contains` in interface `List<E>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<E>`
  Specified by:
    `containsAll` in interface `List<E>`

### get

    public E get(int index)

  Specified by:
    `get` in interface `List<E>`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List<E>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<E>`
  Specified by:
    `isEmpty` in interface `List<E>`

### iterator

    public Iterator<E> iterator()

  Specified by:
    `iterator` in interface `Iterable<E>`
  Specified by:
    `iterator` in interface `Collection<E>`
  Specified by:
    `iterator` in interface `List<E>`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List<E>`

### listIterator

    public ListIterator<E> listIterator()

  Specified by:
    `listIterator` in interface `List<E>`

### listIterator

    public ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `List<E>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<E>`
  Specified by:
    `remove` in interface `List<E>`

### remove

    public E remove(int index)

  Specified by:
    `remove` in interface `List<E>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<E>`
  Specified by:
    `removeAll` in interface `List<E>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<E>`
  Specified by:
    `retainAll` in interface `List<E>`

### set

    public E set(int index,
                 E element)

  Specified by:
    `set` in interface `List<E>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<E>`
  Specified by:
    `size` in interface `List<E>`

### subList

    public List<E> subList(int fromIndex,
                           int toIndex)

  Specified by:
    `subList` in interface `List<E>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `List<E>`

### toArray

    public <T> T[] toArray(T[] a)

  Specified by:
    `toArray` in interface `Collection<E>`
  Specified by:
    `toArray` in interface `List<E>`

### translate

    protected RuntimeException translate(RuntimeException re)

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Throws:
    `ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.